Exiv2: Exiv2::TiffIfdMakernote Class Reference

# Exiv2::TiffIfdMakernote Class Reference

Tiff IFD Makernote. This is a concrete class suitable for all IFD makernotes. More...

`#include <makernote2.hpp>`

Inheritance diagram for Exiv2::TiffIfdMakernote:
[legend]
Collaboration diagram for Exiv2::TiffIfdMakernote:
[legend]

List of all members.

## Public Member Functions
Creators
| TiffIfdMakernote (uint16_t tag, uint16_t group, uint16_t mnGroup, MnHeader *pHeader, bool hasNext=true)
| Default constructor.
virtual | ~TiffIfdMakernote ()
| Virtual destructor.
Manipulators
bool | readHeader (const byte *pData, uint32_t size, ByteOrder byteOrder)
| Read the header from a data buffer, return true if successful.
Accessors
uint32_t | ifdOffset () const
| Return the offset to the start of the Makernote IFD from the start of the Makernote.
ByteOrder | byteOrder () const
| Return the byte order for the makernote. Default (if there is no header) is invalidByteOrder. This means that the byte order of the the image should be used for the makernote.
uint32_t | baseOffset (uint32_t mnOffset) const
| Return the base offset for the makernote IFD entries relative to the start of the TIFF header. The default, if there is no header, is 0.
## Protected Member Functions
Manipulators
virtual void | doAddChild (TiffComponent::AutoPtr tiffComponent)
| Implements addChild(). The default implementation does nothing.
virtual void | doAddNext (TiffComponent::AutoPtr tiffComponent)
| Implements addNext(). The default implementation does nothing.
virtual void | doAccept (TiffVisitor &visitor)
| Implements accept().
## Friends
class | TiffReader

## Detailed Description

Tiff IFD Makernote. This is a concrete class suitable for all IFD makernotes.

Contains a makernote header (which can be 0) and an IFD and implements child mgmt functions to deal with the IFD entries. The various makernote weirdnesses are taken care of in the makernote header.

## Member Function Documentation

bool Exiv2::TiffIfdMakernote::readHeader | ( | const byte * | pData,
|  | uint32_t | size,
|  | ByteOrder | byteOrder |
| ) |  |  |

Read the header from a data buffer, return true if successful.

The default implementation simply returns true.

uint32_t Exiv2::TiffIfdMakernote::baseOffset | ( | uint32_t | mnOffset | ) | const

Return the base offset for the makernote IFD entries relative to the start of the TIFF header. The default, if there is no header, is 0.

Parameters:

  | mnOffset | Offset to the makernote from the start of the TIFF header.

The documentation for this class was generated from the following file:

- makernote2.hpp